Bug 590281 - [abrt] crash in blueman-1.21-4.fc12: PulseAudioUtils.py:149:__get_proplist:IndexError: list index out of range
[abrt] crash in blueman-1.21-4.fc12: PulseAudioUtils.py:149:__get_proplist:In...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:f827826a
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-08 10:56 EDT by bkim31
Modified: 2010-12-03 09:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:55:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (841 bytes, text/plain)
2010-05-08 10:56 EDT, bkim31
no flags Details

  None (edit)
Description bkim31 2010-05-08 10:56:07 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/blueman-applet
component: blueman
executable: /usr/bin/blueman-applet
kernel: 2.6.32.11-99.fc12.x86_64
package: blueman-1.21-4.fc12
reason: PulseAudioUtils.py:149:__get_proplist:IndexError: list index out of range
release: Fedora release 12 (Constantine)

backtrace
-----
PulseAudioUtils.py:149:__get_proplist:IndexError: list index out of range

Traceback (most recent call last):
  File "_ctypes/callbacks.c", line 295, in 'calling callback function'
  File "/usr/lib/python2.6/site-packages/blueman/main/PulseAudioUtils.py", line 155, in __list_callback
    info["handler"](entry_info, False)
  File "/usr/lib/python2.6/site-packages/blueman/main/PulseAudioUtils.py", line 279, in handler
    props = self.__get_proplist(entry_info[0].proplist)
  File "/usr/lib/python2.6/site-packages/blueman/main/PulseAudioUtils.py", line 149, in __get_proplist
    proplist[spl[0]] = spl[1]
IndexError: list index out of range

Local variables in innermost frame:
self: <PulseAudioUtils object at 0x19a7410 (blueman+main+PulseAudioUtils+PulseAudioUtils at 0x19fc620)>
item: ''
spl: ['']
ls: ['']
pla: 26032016
proplist: {}

How to reproduce
-----
1. Logged in
2. Turned on Bluetooth mouse
3.
Comment 1 bkim31 2010-05-08 10:56:09 EDT
Created attachment 412545 [details]
File: backtrace
Comment 2 bkim31 2010-05-13 12:40:27 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Occurs on boot
2.
3.


Comment
-----
I have a Microsoft 5000 bluetooth mouse connected
Comment 3 Bug Zapper 2010-11-03 11:19:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:55:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.